import uno
import unohelper
from com.sun.star.task import XJobExecutor
from zpass import main


ID_EXTENSION = 'net.elmau.zaz.pass'
SERVICE = ('com.sun.star.task.Job',)


class ZAZPass(unohelper.Base, XJobExecutor):

    def __init__(self, ctx):
        self.ctx = ctx

    def trigger(self, args):
        main(ID_EXTENSION, args, __file__)
        return


g_ImplementationHelper = unohelper.ImplementationHelper()
g_ImplementationHelper.addImplementation(ZAZPass, ID_EXTENSION, SERVICE)
